This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 10546 - sgml-common breaks db2html
sgml-common breaks db2html
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: sgml-common (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-03 12:14 EDT by d-mueth
Modified: 2014-03-16 22:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-03 12:37:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description d-mueth 2000-04-03 12:14:30 EDT
sgml-common-0.1-7.noarch.rpm in RH6.2 breaks db2html for me.  This happens
in both a standard RH6.1->RH6.2 upgrade, as well as just installing this
single package on a RH6.1 system.  Running db2html produces many errors of
the form:

jade:/usr/lib/sgml/dbcent.mod:54:0:E: cannot open
"/usr/lib/sgml/iso-amsa.gml" (No such file or directory)

and many errors of the form:

jade:/usr/lib/sgml/stylesheets/nwalsh-modular/html/../common/dbl1no.dsl:90:19:E:
general entity "oslash" not defined and no default entity

I have been able to remedy this problem by moving the 21 line section
beginning with the line:
 -- start sgml-common 0.1-7 --
and ending with:
 -- end sgml-common 0.1-7 --
from the end of my /usr/lib/sgml/CATALOG file to the beginning of this
file. Doing this eliminates all error messages.  Note that this section,
aside for having "0.1-7" in place of "0.1-3", is identical to that from the
earlier version, except that it is placed at the end of the CATALOG file
instead of the beginning.
Comment 1 Nalin Dahyabhai 2000-04-03 12:18:59 EDT
Do you also have the stylesheets package installed?
Comment 2 Bill Nottingham 2000-04-03 12:37:59 EDT
Bleah. It seems that

a) the catalog file is order dependent
b) the docbook scripts install references to entity files that
   don't exist.

This will be fixed with the docbook-3.1-4 package; if you
don't want to upgrade to that, just move the sgml-common section
from the end of the CATALOG file to the beginning.
Comment 3 Tim Waugh 2000-04-11 04:56:59 EDT
I get this:

[root@meme /tmp]# rpm -Uvh docbook-3.1-4.noarch.rpm
docbook                     ##################################################
sed: -e expression #1, char 25: Extra characters after command execution of
script failed

I think it might be coming from install-catalog:

  remove)
        if grep -q "$SBEG" $cat
        then
          echo "removing $package$version DTD from catalog"
          sed -e "/$SBEG/,/$SEND/d" < $cat > ${cat}.new
                mv ${cat}.new ${cat}
        else

Might $SBEG or $SEND contain /s?  Perhaps it should read:

          sed -e "m#$SBED#,#$END#d" ...
Comment 4 Bill Nottingham 2000-04-12 12:19:59 EDT
I think you mean \#$SBEG#,\#$SEND#d, but yes. sgml-common needs fixed.

Note You need to log in before you can comment on or make changes to this bug.